Ariane Soft PPL2 Pocket Programming DataMite

Go Back   ArianeSoft Forums > PPL - Pocket Programming Language > Support

Reply
 
Thread Tools Search this Thread Display Modes
  #1  
Old 08-25-2010, 04:08 PM
juppmaifeld juppmaifeld is offline
Member
 
Join Date: Aug 2009
Posts: 43
Default PPL 1.62 runtime error when starting a executable.

Hi,

I have a problem with ppl 1.62. when I start a program that has been created with "Make Executable ..." from the "Run" Menue I always get the runtime error:

App: (null)

3. The version of this runtime is older, the program might not work properly! (Current: 1.62, Built on 2.2.1)

If I ignore the error message the prog works as it should. I would like to get rid of that stupid error message.

Kornalius or may be anybody else has an idea.

Jupp
Attached Thumbnails
Click image for larger version

Name:	ppl1.62_MakeExecutable_Error.JPG
Views:	176
Size:	24.3 KB
ID:	342  
Reply With Quote
  #2  
Old 08-27-2010, 02:30 PM
juppmaifeld juppmaifeld is offline
Member
 
Join Date: Aug 2009
Posts: 43
Default PPL 1.62 runtime error when starting a executable.

Hi Kornalius, Nicknack, ...,

no idea how to solve the problem?

Jupp
Reply With Quote
  #3  
Old 08-28-2010, 08:47 PM
Nicknack Nicknack is offline
Senior Member
 
Join Date: Nov 2006
Location: Germany
Posts: 527
Default

can't help you here, have experienced the same behaviour. on one pc, ppl 1.x stopped working completely after install of ppl 2.x. I think ppl 2.x is jamming version 1.x somehow.
Reply With Quote
  #4  
Old 08-30-2010, 04:23 PM
juppmaifeld juppmaifeld is offline
Member
 
Join Date: Aug 2009
Posts: 43
Default

Hi Nicknack,

thanks for your reply. I have made the same experience with ppl 1.53 and 1.62. Therefore I have installed 1.62 on a virtual machine. That works fine for me. Maybe Kornalius will be back in this forum some day and has a solution for the described problem. By the way. Thanks a lot for providing your tcp lib to the community. I use it in my application to communicate between different devices. But I had to switch from ppl 1.53 to version 1.62 because I use threading and synchronisation functions like waitformultipleobjects and so on. This works definitely more reliable with version 1.62 then 1.53.

Okay, once again thanks a lot.

Jupp
Reply With Quote
  #5  
Old 09-01-2010, 07:26 PM
Nicknack Nicknack is offline
Senior Member
 
Join Date: Nov 2006
Location: Germany
Posts: 527
Default

hi,
thank you for your kind words, its nice to hear that my work is useful for somebody. If you have any comments or question regarding the lib feel free to post it
Reply With Quote
  #6  
Old 09-20-2010, 04:27 PM
juppmaifeld juppmaifeld is offline
Member
 
Join Date: Aug 2009
Posts: 43
Default

Hi Kornalius,

no idea to solve the problem???

I gonna pay you a beer for a solution. Or, if you like, I send you a good bottle of wine from the river Mosel to Montreal.

Jupp
Reply With Quote
  #7  
Old 09-21-2010, 12:53 PM
kornalius kornalius is offline
Administrator
 
Join Date: Apr 2006
Posts: 551
Default

Hi Jupp,

Sorry for not being very active lately in the forums. As you may know PPL development is on hold for some time due to my time being spent on another area of development. I have been working my a** off on PPL since 2004. Yep it has been that long! I am tired of struggling to make ArianeSoft viable every single day. I am out of money, almost out of day job (which I had for 15 years). Something had to be done quick to be able to survive and be able to live my dream of being an independent developer.

Having said that, going back to developing PPL will take an enormous amount of effort, it is a complex piece of software. I really don't want to leave this product rotting like this for much longer, now that Windows Mobile 7 is almost here and I can now target iPhone and iPad devices with it. But all of this requires an huge amount of work and I am not ready for this yet.

About the problem... It looks like the runtime rtl files are not the same version has the compiler itself. Have you tried re-installing from scratch PPL 2, removing the runtimes folder as well manually?

Please send me an email in two days (yes in two days, I am in the studio with my band for the next two days, therefore won't be working) and I will see if I cannot get 2.2.1 runtime files already compiled or maybe try to recompile them with the latest version of PPL, which I should release, it is so overdue, I had it ready for a long time now. support @ arianesoft . ca
__________________
Regards,
Alain Deschenes
ArianeSoft Inc.
http://www.arianesoft.ca
Reply With Quote
  #8  
Old 10-04-2010, 05:06 PM
juppmaifeld juppmaifeld is offline
Member
 
Join Date: Aug 2009
Posts: 43
Default

Hi Kornalius,

did you get my email ?

Jupp
Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 09:39 PM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.
Copyright (c) ArianeSoft Inc.
Copyright © 2009 www.ppl-lang.com - All rights reserved
Web Design by BR Web Consulting Ltd